Databases - Create Or Update
新しいデータベースを作成するか、既存のデータベースを更新します。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}?api-version=2014-04-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
database
|
path | True |
string |
操作対象のデータベースの名前 (更新または作成)。 |
|
resource
|
path | True |
string |
リソースを含むリソース グループの名前。 この値は、Azure Resource Manager API またはポータルから取得できます。 |
|
server
|
path | True |
string |
サーバーの名前。 |
|
subscription
|
path | True |
string |
Azure サブスクリプションを識別するサブスクリプション ID。 |
|
api-version
|
query | True |
string |
要求に使用する API バージョン。 |
要求本文
| 名前 | 型 | 説明 |
|---|---|---|
| parameters |
データベースを作成または更新するために必要なパラメーター。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
わかりました |
|
| 201 Created |
作成 |
|
| 202 Accepted |
受け入れられた |
例
Create a database as a copy
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb?api-version=2014-04-01
{
"location": "Japan East",
"properties": {
"createMode": "Copy",
"sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb"
}
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
Create a database as a dropped database restore to a specific point in time
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444 /resourceGroups/sqlcrudtest-8412/providers/Microsoft.Sql/servers/sqlcrudtest-3584/databases/testdb?api-version=2014-04-01
{
"location": "Japan East",
"properties": {
"createMode": "Restore",
"sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444 /resourceGroups/sqlcrudtest-8412/providers/Microsoft.Sql/servers/sqlcrudtest-3782/restorableDroppedDatabases/sourcedb,131403269876900000",
"restorePointInTime": "2017-05-20T21:24:37.467Z"
}
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-05-30T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-05-30T22:50:46.547Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-05-30T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-05-30T22:50:46.547Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
Create a database as a dropped database restore to deletion time
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444 /resourceGroups/sqlcrudtest-8412/providers/Microsoft.Sql/servers/sqlcrudtest-3584/databases/testdb?api-version=2014-04-01
{
"location": "Japan East",
"properties": {
"createMode": "Restore",
"sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444 /resourceGroups/sqlcrudtest-8412/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/sourcedb",
"sourceDatabaseDeletionDate": "2017-05-27T02:49:47.69Z"
}
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-05-30T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-05-30T22:50:46.547Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-05-30T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-05-30T22:50:46.547Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
Create a database as a geo restore
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444 /resourceGroups/sqlcrudtest-8412/providers/Microsoft.Sql/servers/sqlcrudtest-3584/databases/testdb?api-version=2014-04-01
{
"location": "Japan East",
"properties": {
"createMode": "Recovery",
"sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444 /resourceGroups/sqlcrudtest-8412/providers/Microsoft.Sql/servers/sqlcrudtest-3782/recoverableDatabases/sourcedb"
}
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-05-30T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-05-30T22:50:46.547Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-05-30T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-05-30T22:50:46.547Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
Create a database as a non-readable secondary
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb?api-version=2014-04-01
{
"location": "Japan East",
"properties": {
"createMode": "NonReadableSecondary",
"sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb"
}
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
Create a database as a point in time restore
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444 /resourceGroups/sqlcrudtest-8412/providers/Microsoft.Sql/servers/sqlcrudtest-3584/databases/testdb?api-version=2014-04-01
{
"location": "Japan East",
"properties": {
"createMode": "PointInTimeRestore",
"sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444 /resourceGroups/sqlcrudtest-8412/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"restorePointInTime": "2017-02-16T21:24:37.467Z"
}
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
Create a database as an online secondary
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb?api-version=2014-04-01
{
"location": "Japan East",
"properties": {
"createMode": "OnlineSecondary",
"sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb"
}
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
Create a database from a long term retention backup
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444 /resourceGroups/sqlcrudtest-8412/providers/Microsoft.Sql/servers/sqlcrudtest-3584/databases/testdb?api-version=2014-04-01
{
"location": "Japan East",
"properties": {
"createMode": "RestoreLongTermRetentionBackup",
"recoveryServicesRecoveryPointResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444 /resourceGroups/sqlcrudtest-8412/providers/Microsoft.RecoveryServices/vaults/testVault/backupFabrics/Azure/protectionContainers/AzureSqlContainer;Sql;sqlcrudtest-8412;testsvr/protectedItems/AzureSqlDb;dsName;testdb;9dafcc99-7c84-4727-88ee-1a4fdb89afd7/RecoveryPoints/16043455089734"
}
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-05-30T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-05-30T22:50:46.547Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-3782/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-05-30T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-05-30T22:50:46.547Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
Create a database max
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb?api-version=2014-04-01
{
"location": "Japan East",
"properties": {
"databaseId": "816c5f7e-0e36-4eec-9c51-eee7a276c14c",
"edition": "Standard",
"status": "Online",
"createMode": "Default",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": "268435456000",
"creationDate": "2017-02-10T01:37:18.847Z",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:48:08.237Z",
"containmentState": 2,
"readScale": "Disabled",
"sampleName": "AdventureWorksLT"
}
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-8931/providers/Microsoft.Sql/servers/sqlcrudtest-1932/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"databaseId": "816c5f7e-0e36-4eec-9c51-eee7a276c14c",
"edition": "Standard",
"status": "Online",
"createMode": "Default",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": "268435456000",
"creationDate": "2017-02-10T01:37:18.847Z",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"sourceDatabaseId": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:48:08.237Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-8931/providers/Microsoft.Sql/servers/sqlcrudtest-1932/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"databaseId": "816c5f7e-0e36-4eec-9c51-eee7a276c14c",
"edition": "Standard",
"status": "Online",
"createMode": "Default",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": "268435456000",
"creationDate": "2017-02-10T01:37:18.847Z",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"sourceDatabaseId": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:48:08.237Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
Create a database min
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/databases/testdb?api-version=2014-04-01
{
"location": "Japan East"
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
Update a database's elastic pool'
要求のサンプル
PUT https://management.azure.com/subscriptions/9d4e2ad0-e20b-4464-9219-353bded52513/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb?api-version=2014-04-01
{
"properties": {
"elasticPoolName": "7537"
},
"location": "Japan East"
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
Update a database max
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/databases/testdb?api-version=2014-04-01
{
"location": "Japan East",
"properties": {
"edition": "Standard",
"status": "Online",
"createMode": "Default",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"containmentState": 2,
"readScale": "Disabled"
}
}
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases",
"location": "Japan East",
"kind": "v12.0,user",
"properties": {
"edition": "Standard",
"status": "Online",
"serviceLevelObjective": "S0",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-02-24T22:39:46.547Z",
"maxSizeBytes": "268435456000",
"currentServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveId": "f1173c43-91bd-4aaa-973c-54e79e15235b",
"requestedServiceObjectiveName": "S0",
"sampleName": null,
"defaultSecondaryLocation": "Japan West",
"earliestRestoreDate": "2017-02-10T01:52:52.923Z",
"elasticPoolName": null,
"containmentState": 2,
"readScale": "Disabled",
"failoverGroupId": null
}
}
定義
| 名前 | 説明 |
|---|---|
|
Create |
データベースの作成モードを指定します。 既定値: 通常のデータベース作成。 コピー: 既存のデータベースのコピーとしてデータベースを作成します。 sourceDatabaseId は、ソース データベースのリソース ID として指定する必要があります。 OnlineSecondary/NonReadableSecondary: 既存のデータベースの (読み取り可能または読み取り不可能な) セカンダリ レプリカとしてデータベースを作成します。 sourceDatabaseId は、既存のプライマリ データベースのリソース ID として指定する必要があります。 PointInTimeRestore: 既存のデータベースの特定の時点のバックアップを復元してデータベースを作成します。 sourceDatabaseId を既存のデータベースのリソース ID として指定し、restorePointInTime を指定する必要があります。 復旧: geo レプリケートされたバックアップを復元してデータベースを作成します。 sourceDatabaseId は、復元する回復可能なデータベース リソース ID として指定する必要があります。 復元: 削除されたデータベースのバックアップを復元してデータベースを作成します。 sourceDatabaseId を指定する必要があります。 sourceDatabaseId がデータベースの元のリソース ID である場合は、sourceDatabaseDeletionDate を指定する必要があります。 それ以外の場合、sourceDatabaseId は復元可能な破棄されたデータベース リソース ID である必要があり、sourceDatabaseDeletionDate は無視されます。 restorePointInTime は、以前の時点から復元するように指定することもできます。 RestoreLongTermRetentionBackup: 長期保持コンテナーから復元することでデータベースを作成します。 recoveryServicesRecoveryPointResourceId は、復旧ポイントのリソース ID として指定する必要があります。 DataWarehouse エディションでは、Copy、NonReadableSecondary、OnlineSecondary、RestoreLongTermRetentionBackup はサポートされていません。 |
| Database |
データベースを表します。 |
|
Database |
データベースのエディション。 DatabaseEditions 列挙には、すべての有効なエディションが含まれています。 createMode が NonReadableSecondary または OnlineSecondary の場合、この値は無視されます。 SKU の一覧は、リージョンとサポート プランによって異なる場合があります。 Azure リージョンのサブスクリプションで使用できる SKU (SKU 名、レベル/エディション、ファミリ、容量を含む) を確認するには、
|
|
Operation |
推奨されるインデックス アクションを実行した場合の推定影響。 |
|
Read |
条件付きの。 データベースが geo セカンダリの場合、readScale は、このデータベースへの読み取り専用接続を許可するかどうかを示します。 DataWarehouse エディションではサポートされていません。 |
|
Recommended |
このデータベースに推奨されるインデックス。 |
|
Recommended |
提案されたインデックス アクション。 不足しているインデックスを作成したり、未使用のインデックスを削除したり、既存のインデックスを再構築してパフォーマンスを向上させることができます。 |
|
Recommended |
現在の推奨事項の状態。 |
|
Recommended |
インデックスの種類 (CLUSTERED、NONCLUSTERED、COLUMNSTORE、CLUSTERED COLUMNSTORE) |
|
Sample |
このデータベースの作成時に適用するサンプル スキーマの名前を示します。 createMode が Default でない場合、この値は無視されます。 DataWarehouse エディションではサポートされていません。 |
|
Service |
データベースの構成済みサービス レベル目標の名前。 これは、データベースに適用される処理中のサービス レベルの目標です。 正常に更新されると、serviceLevelObjective プロパティの値と一致します。 SKU の一覧は、リージョンとサポート プランによって異なる場合があります。 Azure リージョンのサブスクリプションで使用できる SKU (SKU 名、レベル/エディション、ファミリ、容量を含む) を確認するには、
|
|
Service |
このデータベースのサービス レベル アドバイザーの一覧。 Expanded プロパティ |
|
Slo |
サービス レベル アドバイザーの serviceLevelObjectiveUsageMetrics を取得または設定します。 |
|
Transparent |
このデータベースの透過的なデータ暗号化情報。 |
|
Transparent |
データベース透過的なデータ暗号化の状態。 |
CreateMode
データベースの作成モードを指定します。
既定値: 通常のデータベース作成。
コピー: 既存のデータベースのコピーとしてデータベースを作成します。 sourceDatabaseId は、ソース データベースのリソース ID として指定する必要があります。
OnlineSecondary/NonReadableSecondary: 既存のデータベースの (読み取り可能または読み取り不可能な) セカンダリ レプリカとしてデータベースを作成します。 sourceDatabaseId は、既存のプライマリ データベースのリソース ID として指定する必要があります。
PointInTimeRestore: 既存のデータベースの特定の時点のバックアップを復元してデータベースを作成します。 sourceDatabaseId を既存のデータベースのリソース ID として指定し、restorePointInTime を指定する必要があります。
復旧: geo レプリケートされたバックアップを復元してデータベースを作成します。 sourceDatabaseId は、復元する回復可能なデータベース リソース ID として指定する必要があります。
復元: 削除されたデータベースのバックアップを復元してデータベースを作成します。 sourceDatabaseId を指定する必要があります。 sourceDatabaseId がデータベースの元のリソース ID である場合は、sourceDatabaseDeletionDate を指定する必要があります。 それ以外の場合、sourceDatabaseId は復元可能な破棄されたデータベース リソース ID である必要があり、sourceDatabaseDeletionDate は無視されます。 restorePointInTime は、以前の時点から復元するように指定することもできます。
RestoreLongTermRetentionBackup: 長期保持コンテナーから復元することでデータベースを作成します。 recoveryServicesRecoveryPointResourceId は、復旧ポイントのリソース ID として指定する必要があります。
DataWarehouse エディションでは、Copy、NonReadableSecondary、OnlineSecondary、RestoreLongTermRetentionBackup はサポートされていません。
| 値 | 説明 |
|---|---|
| Copy | |
| Default | |
| NonReadableSecondary | |
| OnlineSecondary | |
| PointInTimeRestore | |
| Recovery | |
| Restore | |
| RestoreLongTermRetentionBackup |
Database
データベースを表します。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソース ID。 |
| kind |
string |
データベースの種類。 これは、Azure portal エクスペリエンスに使用されるメタデータです。 |
| location |
string |
リソースの場所。 |
| name |
string |
リソース名。 |
| properties.collation |
string |
データベースの照合順序。 createMode が Default でない場合、この値は無視されます。 |
| properties.containmentState |
integer (int64) |
データベースの包含状態。 |
| properties.createMode |
データベースの作成モードを指定します。 既定値: 通常のデータベース作成。 コピー: 既存のデータベースのコピーとしてデータベースを作成します。 sourceDatabaseId は、ソース データベースのリソース ID として指定する必要があります。 OnlineSecondary/NonReadableSecondary: 既存のデータベースの (読み取り可能または読み取り不可能な) セカンダリ レプリカとしてデータベースを作成します。 sourceDatabaseId は、既存のプライマリ データベースのリソース ID として指定する必要があります。 PointInTimeRestore: 既存のデータベースの特定の時点のバックアップを復元してデータベースを作成します。 sourceDatabaseId を既存のデータベースのリソース ID として指定し、restorePointInTime を指定する必要があります。 復旧: geo レプリケートされたバックアップを復元してデータベースを作成します。 sourceDatabaseId は、復元する回復可能なデータベース リソース ID として指定する必要があります。 復元: 削除されたデータベースのバックアップを復元してデータベースを作成します。 sourceDatabaseId を指定する必要があります。 sourceDatabaseId がデータベースの元のリソース ID である場合は、sourceDatabaseDeletionDate を指定する必要があります。 それ以外の場合、sourceDatabaseId は復元可能な破棄されたデータベース リソース ID である必要があり、sourceDatabaseDeletionDate は無視されます。 restorePointInTime は、以前の時点から復元するように指定することもできます。 RestoreLongTermRetentionBackup: 長期保持コンテナーから復元することでデータベースを作成します。 recoveryServicesRecoveryPointResourceId は、復旧ポイントのリソース ID として指定する必要があります。 DataWarehouse エディションでは、Copy、NonReadableSecondary、OnlineSecondary、RestoreLongTermRetentionBackup はサポートされていません。 |
|
| properties.creationDate |
string (date-time) |
データベースの作成日 (ISO8601形式)。 |
| properties.currentServiceObjectiveId |
string (uuid) |
データベースの現在のサービス レベル目標 ID。 これは、現在アクティブなサービス レベル目標の ID です。 |
| properties.databaseId |
string (uuid) |
データベースの ID。 |
| properties.defaultSecondaryLocation |
string |
このデータベースの既定のセカンダリ リージョン。 |
| properties.earliestRestoreDate |
string (date-time) |
これにより、このデータベースに対して復元が使用できる最も早い開始日と時刻が記録されます (ISO8601形式)。 |
| properties.edition |
データベースのエディション。 DatabaseEditions 列挙には、すべての有効なエディションが含まれています。 createMode が NonReadableSecondary または OnlineSecondary の場合、この値は無視されます。 SKU の一覧は、リージョンとサポート プランによって異なる場合があります。 Azure リージョンのサブスクリプションで使用できる SKU (SKU 名、レベル/エディション、ファミリ、容量を含む) を確認するには、
|
|
| properties.elasticPoolName |
string |
データベースが格納されているエラスティック プールの名前。 elasticPoolName と requestedServiceObjectiveName の両方が更新された場合、requestedServiceObjectiveName の値は無視されます。 DataWarehouse エディションではサポートされていません。 |
| properties.failoverGroupId |
string |
このデータベースを含むフェールオーバー グループのリソース識別子。 |
| properties.maxSizeBytes |
string |
バイト単位で表されるデータベースの最大サイズ。 createMode が Default でない場合、この値は無視されます。 使用可能な値を確認するには、operationId によって参照される機能 API (/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationID}/capabilities) に対してクエリを実行します:"Capabilities_ListByLocation。 |
| properties.readScale |
条件付きの。 データベースが geo セカンダリの場合、readScale は、このデータベースへの読み取り専用接続を許可するかどうかを示します。 DataWarehouse エディションではサポートされていません。 |
|
| properties.recommendedIndex |
このデータベースに推奨されるインデックス。 |
|
| properties.recoveryServicesRecoveryPointResourceId |
string |
条件付きの。 createMode が RestoreLongTermRetentionBackup の場合、この値は必須です。 復元元の復旧ポイントのリソース ID を指定します。 |
| properties.requestedServiceObjectiveId |
string (uuid) |
データベースの構成済みのサービス レベル目標 ID。 これは、データベースに適用される処理中のサービス レベルの目標です。 正常に更新されると、currentServiceObjectiveId プロパティの値と一致します。 requestedServiceObjectiveId と requestedServiceObjectiveName の両方が更新された場合、requestedServiceObjectiveId の値は requestedServiceObjectiveName の値をオーバーライドします。 SKU の一覧は、リージョンとサポート プランによって異なる場合があります。 Azure リージョンのサブスクリプションで使用できるサービス目標 ID を確認するには、 |
| properties.requestedServiceObjectiveName |
データベースの構成済みサービス レベル目標の名前。 これは、データベースに適用される処理中のサービス レベルの目標です。 正常に更新されると、serviceLevelObjective プロパティの値と一致します。 SKU の一覧は、リージョンとサポート プランによって異なる場合があります。 Azure リージョンのサブスクリプションで使用できる SKU (SKU 名、レベル/エディション、ファミリ、容量を含む) を確認するには、
|
|
| properties.restorePointInTime |
string (date-time) |
条件付きの。 createMode が PointInTimeRestore の場合、この値は必須です。 createMode が Restore の場合、この値は省略可能です。 新しいデータベースを作成するために復元されるソース データベースの時点 (ISO8601形式) を指定します。 ソース データベースの earliestRestoreDate 値以上である必要があります。 |
| properties.sampleName |
このデータベースの作成時に適用するサンプル スキーマの名前を示します。 createMode が Default でない場合、この値は無視されます。 DataWarehouse エディションではサポートされていません。 |
|
| properties.serviceLevelObjective |
データベースの現在のサービス レベル目標。 |
|
| properties.serviceTierAdvisors |
このデータベースのサービス レベル アドバイザーの一覧。 Expanded プロパティ |
|
| properties.sourceDatabaseDeletionDate |
string (date-time) |
条件付きの。 createMode が Restore で、sourceDatabaseId が削除されたデータベースの元のリソース ID (現在の復元可能な削除されたデータベース ID ではなく) である場合、この値は必須です。 データベースが削除された時刻を指定します。 |
| properties.sourceDatabaseId |
string |
条件付きの。 createMode が Copy、NonReadableSecondary、OnlineSecondary、PointInTimeRestore、Recovery、または Restore の場合、この値は必須です。 ソース データベースのリソース ID を指定します。 createMode が NonReadableSecondary または OnlineSecondary の場合、ソース データベースの名前は、作成する新しいデータベースと同じである必要があります。 |
| properties.status |
string |
データベースの状態。 |
| properties.transparentDataEncryption |
このデータベースの透過的なデータ暗号化情報。 |
|
| properties.zoneRedundant |
boolean |
このデータベースがゾーン冗長かどうか。つまり、このデータベースのレプリカは複数の可用性ゾーンに分散されます。 |
| tags |
object |
リソース タグ。 |
| type |
string |
リソースの種類。 |
DatabaseEdition
データベースのエディション。 DatabaseEditions 列挙には、すべての有効なエディションが含まれています。 createMode が NonReadableSecondary または OnlineSecondary の場合、この値は無視されます。
SKU の一覧は、リージョンとサポート プランによって異なる場合があります。 Azure リージョンのサブスクリプションで使用できる SKU (SKU 名、レベル/エディション、ファミリ、容量を含む) を確認するには、Capabilities_ListByLocation REST API または次のいずれかのコマンドを使用します。
az sql db list-editions -l <location> -o table
Get-AzSqlServerServiceObjective -Location <location>
| 値 | 説明 |
|---|---|
| Web | |
| Business | |
| Basic | |
| Standard | |
| Premium | |
| PremiumRS | |
| Free | |
| Stretch | |
| DataWarehouse | |
| System | |
| System2 | |
| GeneralPurpose | |
| BusinessCritical | |
| Hyperscale |
OperationImpact
推奨されるインデックス アクションを実行した場合の推定影響。
| 名前 | 型 | 説明 |
|---|---|---|
| changeValueAbsolute |
number (double) |
ディメンションへの絶対影響。 |
| changeValueRelative |
number (double) |
ディメンションへの相対的な影響 (該当しない場合は null) |
| name |
string |
影響ディメンションの名前。 |
| unit |
string |
ディメンションへの推定影響を測定する単位。 |
ReadScale
条件付きの。 データベースが geo セカンダリの場合、readScale は、このデータベースへの読み取り専用接続を許可するかどうかを示します。 DataWarehouse エディションではサポートされていません。
| 値 | 説明 |
|---|---|
| Enabled | |
| Disabled |
RecommendedIndex
このデータベースに推奨されるインデックス。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソース ID。 |
| name |
string |
リソース名。 |
| properties.action |
提案されたインデックス アクション。 不足しているインデックスを作成したり、未使用のインデックスを削除したり、既存のインデックスを再構築してパフォーマンスを向上させることができます。 |
|
| properties.columns |
string[] |
インデックスを作成する列 |
| properties.created |
string (date-time) |
このリソースが作成された日時を示す UTC 日時 (ISO8601形式)。 |
| properties.estimatedImpact |
推奨されるインデックス アクションを実行した場合の推定影響。 |
|
| properties.includedColumns |
string[] |
インデックスに含める列名の一覧 |
| properties.indexScript |
string |
完全なビルド インデックス スクリプト |
| properties.indexType |
インデックスの種類 (CLUSTERED、NONCLUSTERED、COLUMNSTORE、CLUSTERED COLUMNSTORE) |
|
| properties.lastModified |
string (date-time) |
このリソースが最後に変更された日時の UTC 日時 (ISO8601形式)。 |
| properties.reportedImpact |
インデックス アクションが完了した後に報告される値。 |
|
| properties.schema |
string |
インデックスを作成するテーブルが存在するスキーマ |
| properties.state |
現在の推奨事項の状態。 |
|
| properties.table |
string |
インデックスを作成するテーブル。 |
| type |
string |
リソースの種類。 |
RecommendedIndexAction
提案されたインデックス アクション。 不足しているインデックスを作成したり、未使用のインデックスを削除したり、既存のインデックスを再構築してパフォーマンスを向上させることができます。
| 値 | 説明 |
|---|---|
| Create | |
| Drop | |
| Rebuild |
RecommendedIndexState
現在の推奨事項の状態。
| 値 | 説明 |
|---|---|
| Active | |
| Pending | |
| Executing | |
| Verifying | |
| Pending Revert | |
| Reverting | |
| Reverted | |
| Ignored | |
| Expired | |
| Blocked | |
| Success |
RecommendedIndexType
インデックスの種類 (CLUSTERED、NONCLUSTERED、COLUMNSTORE、CLUSTERED COLUMNSTORE)
| 値 | 説明 |
|---|---|
| CLUSTERED | |
| NONCLUSTERED | |
| COLUMNSTORE | |
| CLUSTERED COLUMNSTORE |
SampleName
このデータベースの作成時に適用するサンプル スキーマの名前を示します。 createMode が Default でない場合、この値は無視されます。 DataWarehouse エディションではサポートされていません。
| 値 | 説明 |
|---|---|
| AdventureWorksLT |
ServiceObjectiveName
データベースの構成済みサービス レベル目標の名前。 これは、データベースに適用される処理中のサービス レベルの目標です。 正常に更新されると、serviceLevelObjective プロパティの値と一致します。
SKU の一覧は、リージョンとサポート プランによって異なる場合があります。 Azure リージョンのサブスクリプションで使用できる SKU (SKU 名、レベル/エディション、ファミリ、容量を含む) を確認するには、Capabilities_ListByLocation REST API または次のいずれかのコマンドを使用します。
az sql db list-editions -l <location> -o table
Get-AzSqlServerServiceObjective -Location <location>
| 値 | 説明 |
|---|---|
| System | |
| System0 | |
| System1 | |
| System2 | |
| System3 | |
| System4 | |
| System2L | |
| System3L | |
| System4L | |
| Free | |
| Basic | |
| S0 | |
| S1 | |
| S2 | |
| S3 | |
| S4 | |
| S6 | |
| S7 | |
| S9 | |
| S12 | |
| P1 | |
| P2 | |
| P3 | |
| P4 | |
| P6 | |
| P11 | |
| P15 | |
| PRS1 | |
| PRS2 | |
| PRS4 | |
| PRS6 | |
| DW100 | |
| DW200 | |
| DW300 | |
| DW400 | |
| DW500 | |
| DW600 | |
| DW1000 | |
| DW1200 | |
| DW1000c | |
| DW1500 | |
| DW1500c | |
| DW2000 | |
| DW2000c | |
| DW3000 | |
| DW2500c | |
| DW3000c | |
| DW6000 | |
| DW5000c | |
| DW6000c | |
| DW7500c | |
| DW10000c | |
| DW15000c | |
| DW30000c | |
| DS100 | |
| DS200 | |
| DS300 | |
| DS400 | |
| DS500 | |
| DS600 | |
| DS1000 | |
| DS1200 | |
| DS1500 | |
| DS2000 | |
| ElasticPool |
ServiceTierAdvisor
このデータベースのサービス レベル アドバイザーの一覧。 Expanded プロパティ
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソース ID。 |
| name |
string |
リソース名。 |
| properties.activeTimeRatio |
number (double) |
サービス レベル アドバイザーの activeTimeRatio。 |
| properties.avgDtu |
number (double) |
サービス レベル アドバイザーの avgDtu を取得または設定します。 |
| properties.confidence |
number (double) |
サービス レベル アドバイザーの信頼度を取得または設定します。 |
| properties.currentServiceLevelObjective |
string |
サービス レベル アドバイザーの currentServiceLevelObjective を取得または設定します。 |
| properties.currentServiceLevelObjectiveId |
string (uuid) |
サービス レベル アドバイザーの currentServiceLevelObjectiveId を取得または設定します。 |
| properties.databaseSizeBasedRecommendationServiceLevelObjective |
string |
サービス レベル アドバイザーの databaseSizeBasedRecommendationServiceLevelObjective を取得または設定します。 |
| properties.databaseSizeBasedRecommendationServiceLevelObjectiveId |
string (uuid) |
サービス レベル アドバイザーの databaseSizeBasedRecommendationServiceLevelObjectiveId を取得または設定します。 |
| properties.disasterPlanBasedRecommendationServiceLevelObjective |
string |
サービス レベル アドバイザーの disasterPlanBasedRecommendationServiceLevelObjective を取得または設定します。 |
| properties.disasterPlanBasedRecommendationServiceLevelObjectiveId |
string (uuid) |
サービス レベル アドバイザーの disasterPlanBasedRecommendationServiceLevelObjectiveId を取得または設定します。 |
| properties.maxDtu |
number (double) |
サービス レベル アドバイザーの maxDtu を取得または設定します。 |
| properties.maxSizeInGB |
number (double) |
サービス レベル アドバイザーの maxSizeInGB を取得または設定します。 |
| properties.minDtu |
number (double) |
サービス レベル アドバイザーの minDtu を取得または設定します。 |
| properties.observationPeriodEnd |
string (date-time) |
観測期間の開始 (ISO8601形式)。 |
| properties.observationPeriodStart |
string (date-time) |
観測期間の開始 (ISO8601形式)。 |
| properties.overallRecommendationServiceLevelObjective |
string |
サービス レベル アドバイザーの overallRecommendationServiceLevelObjective を取得または設定します。 |
| properties.overallRecommendationServiceLevelObjectiveId |
string (uuid) |
サービス レベル アドバイザーの overallRecommendationServiceLevelObjectiveId を取得または設定します。 |
| properties.serviceLevelObjectiveUsageMetrics |
サービス レベル アドバイザーの serviceLevelObjectiveUsageMetrics を取得または設定します。 |
|
| properties.usageBasedRecommendationServiceLevelObjective |
string |
サービス レベル アドバイザーの usageBasedRecommendationServiceLevelObjective を取得または設定します。 |
| properties.usageBasedRecommendationServiceLevelObjectiveId |
string (uuid) |
サービス レベル アドバイザーの usageBasedRecommendationServiceLevelObjectiveId を取得または設定します。 |
| type |
string |
リソースの種類。 |
SloUsageMetric
サービス レベル アドバイザーの serviceLevelObjectiveUsageMetrics を取得または設定します。
| 名前 | 型 | 説明 |
|---|---|---|
| inRangeTimeRatio |
number (double) |
SLO 使用状況メトリックの inRangeTimeRatio を取得または設定します。 |
| serviceLevelObjective |
SLO の使用メトリックの serviceLevelObjective。 |
|
| serviceLevelObjectiveId |
string (uuid) |
SLO 使用状況メトリックの serviceLevelObjectiveId。 |
TransparentDataEncryption
このデータベースの透過的なデータ暗号化情報。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソース ID。 |
| location |
string |
リソースの場所。 |
| name |
string |
リソース名。 |
| properties.status |
データベース透過的なデータ暗号化の状態。 |
|
| type |
string |
リソースの種類。 |
TransparentDataEncryptionStatus
データベース透過的なデータ暗号化の状態。
| 値 | 説明 |
|---|---|
| Enabled | |
| Disabled |